`rheolef-config`

get installation directories

# Example

The following command returns the Rheolef libraries directory:

      rheolef-config --libdir

An environment sanity check writes:

      rheolef-config --check

# Description

This command is useful when linking executables with Rheolef: libraries locations are required by the link editor. Such directories are defined while configuring Rheolef, before to compile and install. The `rheolef-config` command returns these settings.

Note that `rheolef-config` could be used in Makefiles for the determination of linker flags.

Another useful feature is the `--check` option. When Rheolef is installed in a user directory, i.e. not as root, the sane run-time environment depends upon two environment variables. The first one is the PATH: `bindir` directory may be present in PATH. The second environment variable is related to shared libraries, and its name is system-dependent, e.g. LD_LIBRARY_PATH on most platforms and SHLIB_PATH on HP-UX. Its content may contains `bindir`.

      rheolef-config --shlibpath-var

Since it is a common mistake to have incorrect values for these variable, for novice users or for adanced ones, especially when dealing with several installed versions, the environment sanity check writes:

      rheolef-config --check

If there is mistakes, a hint is suggested to fix it and the return status is 1. Instead, the return status is 0.

# Options

`--version`

> Rheolef version.

`--help`

> print option summary and exit.

`--prefix`

> install architecture-independent files location.

`--exec-prefix`

> architecture-dependent files location.

`--includedir`

> include header directory.

`--bindir`

> executables directory.

`--mandir`

> man documentation directory.

`--libdir`

> object code libraries directory.

`--datadir`
`--datarootdir`

> read-only architecture-independent data location.

`--pkgdatadir`

> read-only architecture-independent data location; specific for package.

`--cxx`

> compiler invocation (e.g. g++ or clang++).

`--includes`

> include compiler flags.

`--libs`

> library compiler flags.

`--shlibpath-var`

> the shared library path variable.

`--library-interface-version`

> the library interface version.

`--hardcode-libdir-flag-spec`

> flag to hardcode a libdir into a binary during linking.

`--is-distributed`

> true or false: whether it is the distributed version.

`--float`

> returns the rheolef Float type. Float is `double` by default. It could also be an extended arithmetic precision type as `dd_real` (quadruple precision or `qd_real` (octuple precision), depending on the configure option at compile time.

`--have-old-code`
`--have-new-code`

> true or false: whether it is the new/old code branch that is installed.